=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends:
 cmake,
 debhelper (>= 10),
 docbook-xsl,
 libdbus-glib-1-dev,
 libgtk-3-dev,
 libpcre2-dev,
 libvte-2.91-dev (>= 0.48),
 xsltproc
Standards-Version: 4.1.1
Homepage: http://roxterm.sourceforge.net/
Vcs-Git: git://git.code.sf.net/p/roxterm/code
Vcs-Browser: https://sourceforge.net/p/roxterm/code/

Package: roxterm-data
Architecture: all
Depends: ${misc:Depends}
Replaces: roxterm-common
Breaks: roxterm-common (<< 3.0.0)
Recommends: dbus-x11, openssh-client, roxterm
Description: Multi-tabbed GTK+/VTE terminal emulator - data files
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains ROXTerm's data files.

Package: roxterm
Architecture: any
Depends:
 librsvg2-common,
 roxterm-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Breaks: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator - binaries
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains the compiled programs for ROXTerm.
